"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var memory_storage_service_1 = require("./memory-storage.service");
var session_storage_service_1 = require("./session-storage.service");
var local_storage_service_1 = require("./local-storage.service");
var preferences_service_1 = require("./preferences.service");
var SystelabPreferencesModule = (function () {
    function SystelabPreferencesModule() {
    }
    SystelabPreferencesModule.forRoot = function (entryComponents) {
        return {
            ngModule: SystelabPreferencesModule,
            providers: [
                { provide: memory_storage_service_1.MemoryStorageService, useClass: memory_storage_service_1.MemoryStorageService },
                { provide: session_storage_service_1.SessionStorageService, useClass: session_storage_service_1.SessionStorageService },
                { provide: local_storage_service_1.LocalStorageService, useClass: local_storage_service_1.LocalStorageService },
                { provide: preferences_service_1.PreferencesService, useClass: preferences_service_1.PreferencesService }
            ]
        };
    };
    return SystelabPreferencesModule;
}());
SystelabPreferencesModule.decorators = [
    { type: core_1.NgModule, args: [{},] },
];
/** @nocollapse */
SystelabPreferencesModule.ctorParameters = function () { return []; };
exports.SystelabPreferencesModule = SystelabPreferencesModule;
//# sourceMappingURL=systelab-preferences.module.js.map